package cz.moneta.test.dsl.mwf.createclientinudebs;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFA02 extends MwfRequest<MWFA02, MWFA02Response> {

    @Parameter(name = "ADCKlient")
    MWFA02 aDCKlient(String aDCKlient);
    @Parameter(name = "Adresat")
    MWFA02 adresat(String adresat);
    @Parameter(name = "BITSFlag")
    MWFA02 bITSFlag(Long bITSFlag);
    @Parameter(name = "CIF")
    MWFA02 cif(String cif);
    @Parameter(name = "Email")
    MWFA02 email(String email);
    @Parameter(name = "Jmeno")
    MWFA02 jmeno(String jmeno);
    @Parameter(name = "Mobil")
    MWFA02 mobil(String mobil);
    @Parameter(name = "MobilPredvolba")
    MWFA02 mobilPredvolba(String mobilPredvolba);
    @Parameter(name = "ObchodniMistoKod")
    MWFA02 obchodniMistoKod(String obchodniMistoKod);
    @Parameter(name = "Obec")
    MWFA02 obec(String obec);
    @Parameter(name = "OsobniCislo")
    MWFA02 osobniCislo(String osobniCislo);
    @Parameter(name = "PSC")
    MWFA02 psc(String psc);
    @Parameter(name = "Posta")
    MWFA02 posta(String posta);
    @Parameter(name = "Prijmeni")
    MWFA02 prijmeni(String prijmeni);
    @Parameter(name = "TelPredvolba")
    MWFA02 telPredvolba(String telPredvolba);
    @Parameter(name = "Telefon")
    MWFA02 telefon(String telefon);
    @Parameter(name = "Titul")
    MWFA02 titul(String titul);
    @Parameter(name = "TypKlienta")
    MWFA02 typKlienta(String typKlienta);
    @Parameter(name = "TypUctu")
    MWFA02 typUctu(String typUctu);
    @Parameter(name = "UcetPoplatku")
    MWFA02 ucetPoplatku(String ucetPoplatku);
    @Parameter(name = "Ulice")
    MWFA02 ulice(String ulice);
    @Parameter(name = "Zeme")
    MWFA02 zeme(String zeme);
    @Parameter(name = "ZkraceneJmeno")
    MWFA02 zkraceneJmeno(String zkraceneJmeno);
}